//
// Closure Builder bootstrap
//
// Copyright 2010 Andrey Churin. All Rights Reserved.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.
//

goog.provide('goog.bootstrap')

goog.require('goog.Application')

/**
 * Application entry point
 * @param goog.Application app.
 */
goog.bootstrap = function(app) {
  goog._bootstraps.push(app);
}

/**
 * Applications to bootstrap
 * @type {Array.<goog.Application>}
 * @private
 */
goog._bootstraps = []

//XXX: replace onload with normal loader
window.onload = function() {
    for(var i = 0, len = goog._bootstraps.length; i < len; ++i) {
        goog._bootstraps[i].entrypoint.call(goog._bootstraps[i])
    }
}
